using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations.Schema;
using System.ComponentModel.DataAnnotations;
using BMA.EHR.Recurit.Exam.Service.Models.Documents;

namespace BMA.EHR.Recurit.Exam.Service.Models
{
    public class BankExam : EntityBase
    {
        [Required, Comment("Id การสอบ")]
        public virtual PeriodExam? PeriodExam { get; set; }

        [Comment("เลขบัญชี")]
        public string? AccountNumber { get; set; }

        [Comment("ธนาคาร")]
        public string? BankName { get; set; }

        [Comment("ชื่อบัญชี")]
        public string? AccountName { get; set; }
    }
}
